Wednesday, May 4, 2011

First Bowline App Failed to Run on Ubuntu

Here is my first Bowline app based on its home page example.

$ rvm use 1.9.2
 Using /home/socrateos/.rvm/gems/ruby-1.9.2-p180
$ bowline-gen app helloworld
Generating with app generator:
     [ADDED]  vendor
     [ADDED]  lib
     [ADDED]  db
     [ADDED]  build
     [ADDED]  log
     [ADDED]  public
     [ADDED]  app
     [ADDED]  app/models
     [ADDED]  app/binders
     [ADDED]  app/helpers
     [ADDED]  app/windows
     [ADDED]  config
     [ADDED]  config/initializers
     [ADDED]  config/first_run
     [ADDED]  app_first_run
     [ADDED]  Rakefile
     [ADDED]  Gemfile
     [ADDED]  public/index.html
     [ADDED]  public/javascripts/application.js
     [ADDED]  public/stylesheets/application.css
     [ADDED]  script/console
     [ADDED]  script/run
     [ADDED]  script/init
     [ADDED]  script/build
     [ADDED]  script/generate
     [ADDED]  config/environment.rb
     [ADDED]  config/environments/production.rb
     [ADDED]  config/environments/development.rb
     [ADDED]  .gitignore
     [ADDED]  public/icon.png
     [ADDED]  script
     [ADDED]  public/javascripts/jquery.js
     [ADDED]  public/javascripts/jquery.chain.js
     [ADDED]  public/javascripts/superclass.js
     [ADDED]  public/javascripts/bowline.js
     [ADDED]  public/javascripts/bowline.chain.js
     [ADDED]  app/windows/main_window.rb
     [ADDED]  config/application.yml
     [ADDED]  config/database.yml
     [ADDED]  config/boot.rb
     [ADDED]  README
$ cd helloworld
$ bowline-bundle
Calculating dependencies...
Updating source: http://rubygems.org
Updating source: http://gems.rubyforge.org
~/.rvm/gems/ruby-1.9.2-p180/gems/bowline-bundler-0.0.4/lib/bowline/bundler/resolver.rb:115:Warning: Gem::Dependency#version_requirements is deprecated and will be removed on or after August 2010.  Use #requirement
Caching: activemodel-3.0.7.gem
Caching: activesupport-3.0.7.gem
Caching: bowline-0.9.4.gem
Caching: bowline-bundler-0.0.4.gem
Caching: builder-2.1.2.gem
Caching: diff-lcs-1.1.2.gem
Caching: extlib-0.9.15.gem
Caching: highline-1.6.1.gem
Caching: i18n-0.5.0.gem
Caching: rubyzip2-2.0.1.gem
Caching: supermodel-0.1.4.gem
Caching: templater-1.0.0.gem
Downloading tzinfo-0.3.27.gem
Installing tzinfo (0.3.27)
Installing extlib (0.9.15)
Installing highline (1.6.1)
Installing diff-lcs (1.1.2)
Installing templater (1.0.0)
Installing bowline-bundler (0.0.4)
Installing builder (2.1.2)
Installing supermodel (0.1.4)
Installing rubyzip2 (2.0.1)
Installing activesupport (3.0.7)
Installing i18n (0.5.0)
Installing activemodel (3.0.7)
Installing bowline (0.9.4)
    **************************************************

      Thank you for installing Bowline.
      
      If you're on Linux, please install the WebKit library:
        sudo apt-get install libwebkit-dev

    **************************************************
Done.
$ ./script/run
Setting up Bowline. This could take a while...
Retrieving http://bowline.s3.amazonaws.com/linux/bowline-desktop.zip
:              100% |oooooooooooooooooooooooooooooooooooooooooo| Time: 00:00:01
Extracting bowline-desktop.zip
Retrieving http://bowline.s3.amazonaws.com/linux/libs.zip
:              100% |oooooooooooooooooooooooooooooooooooooooooo| Time: 00:00:01
Extracting libs.zip
 uninitialized constant Gem::VERSION
~/work/ruby/bowline/helloworld/vendor/gems/ruby/1.9.1/environment.rb:41:in `eval'
 ~/.bowline/libs/rubylib/1.9.1/rubygems/specification.rb:443:in `initialize'
 (eval):3:in `new'
 (eval):3:in `'
 ~/work/ruby/bowline/helloworld/vendor/gems/ruby/1.9.1/environment.rb:41:in `eval'
 ~/work/ruby/bowline/helloworld/vendor/gems/ruby/1.9.1/environment.rb:41:in `'
 ~/work/ruby/bowline/helloworld/vendor/gems/ruby/1.9.1/environment.rb:2:in `'
 ~/work/ruby/bowline/helloworld/vendor/gems/environment.rb:4:in `require'
 ~/work/ruby/bowline/helloworld/vendor/gems/environment.rb:4:in `'
 ~/work/ruby/bowline/helloworld/config/boot.rb:8:in `require'
 ~/work/ruby/bowline/helloworld/config/boot.rb:8:in `'
 ~/work/ruby/bowline/helloworld/script/init:2:in `require'
 ~/work/ruby/bowline/helloworld/script/init:2:in `'

No comments:

Post a Comment